
%{
#ifndef YYSTYPE
#define YYSTYPE char *
#endif
#include "ram.tab.h"

%}


%%
[rio][0-9]*         { yylval = strdup(yytext); return REGISTER;}
[rio]@[rio][0-9]*   { yylval = strdup(yytext); return REGISTER_REF;}
[0-9]*              { yylval = strdup(yytext); return VALUE;}
ADD|SUB|MULT|DIV    { yylval = strdup(yytext); return OP;}
JUMP|JE|JL          { yylval = strdup(yytext); return OP_CTRL;}
[ ]*,[ ]*           {return COMMA;}
\(                  {return PAR_O;}
\)                  {return PAR_C;}
\n                  {return SEPARATION; }
.                   {printf("token inconnu\n"); yyterminate();}
%%
